Package: groovy.lang

## [Java] Class ClassCollector

- groovy.lang.GroovyClassLoader.ClassCollector

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected GroovyClassLoader.ClassCollector (InnerLoader cl, CompilationUnit unit, org.codehaus.groovy.control.SourceUnit su)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)`
    `` | `protected Class` | `createClass(byte[] code, ClassNode classNode)`
    `` | `GroovyClassLoader` | `getDefiningClassLoader()`
    `` | `Collection` | `getLoadedClasses()`
    `` | `protected Class` | `onClassNode(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)`

- - ### Constructor Detail

    - #### protected GroovyClassLoader.ClassCollector(InnerLoader cl, CompilationUnit unit, org.codehaus.groovy.control.SourceUnit su)

  - ### Method Detail

    - #### public void call(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)

    - #### protected Class createClass(byte[] code, ClassNode classNode)

    - #### public GroovyClassLoader getDefiningClassLoader()

    - #### public Collection getLoadedClasses()

    - #### protected Class onClassNode(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)